Conteúdo
Airports (IATA), optionally filtered by a free-text term or a country.
get/v1/content/airports
- Requer autenticação
Parâmetros
| Nome | Em | Tipo | Descrição |
|---|---|---|---|
| q | consulta | string | |
| country | consulta | string | |
| page | consulta | integer (int32) | |
| pageSize | consulta | integer (int32) |
Respostas
200OKAirportItemPagedList
- AirportItem[]
- iatastring
- namestringanulável
- cityCodestringanulável
- cityNamestringanulável
- countryCodestringanulável
- pageinteger (int32)
- pageSizeinteger (int32)
- totalinteger (int32)
Exemplos de código
Programas completos que assinam o pedido tal como o gateway o verifica. Substitua YOUR_KEY_ID e YOUR_SECRET.
# Sign the request: METHOD \n path+query \n unix time \n nonce \n sha256(body)
KEY_ID="YOUR_KEY_ID"
SECRET="YOUR_SECRET"
BODY=''
TS=$(date +%s)
NONCE=$(openssl rand -hex 16)
BODY_HASH=$(printf '%s' "$BODY" | openssl dgst -sha256 | sed 's/^.* //')
CANON=$(printf 'GET\n/v1/content/airports\n%s\n%s\n%s' "$TS" "$NONCE" "$BODY_HASH")
SIG=$(printf '%s' "$CANON" | openssl dgst -sha256 -hmac "$SECRET" | sed 's/^.* //')
curl -X GET "https://api.dubaitrip.com/v1/content/airports" \
-H "X-API-Key: $KEY_ID" \
-H "X-Timestamp: $TS" \
-H "X-Nonce: $NONCE" \
-H "X-Signature: $SIG" \
-H "Accept: application/json"